UbuntuUpdates.org

Package "webkit2gtk"

Name: webkit2gtk

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • JavaScript engine library from WebKitGTK - GObject introspection data
  • Web content engine library for GTK - GObject introspection data
  • JavaScript engine library from WebKitGTK
  • JavaScript engine library from WebKitGTK - development files

Latest version: 2.32.0-0ubuntu0.20.10.1
Release: groovy (20.10)
Level: security
Repository: main

Links



Other versions of "webkit2gtk" in Groovy

Repository Area Version
base universe 2.30.1-1
base main 2.30.1-1
security universe 2.32.0-0ubuntu0.20.10.1
updates main 2.32.0-0ubuntu0.20.10.1
updates universe 2.32.0-0ubuntu0.20.10.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2.32.0-0ubuntu0.20.10.1 2021-05-10 12:06:24 UTC

  webkit2gtk (2.32.0-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * Updated to 2.32.0 to fix security issues.
    - sync patches and some packaging changes from 2.32.0-1ubuntu3
    - CVE-2021-1788, CVE-2021-1844, CVE-2021-1871

 -- Marc Deslauriers <email address hidden> Fri, 16 Apr 2021 06:59:45 -0400

Source diff to previous version
CVE-2021-1788 A use after free issue was addressed with improved memory management. This issue is fixed in macOS Big Sur 11.2, Security Update 2021-001 Catalina, S
CVE-2021-1844 A memory corruption issue was addressed with improved validation. This issue is fixed in iOS 14.4.1 and iPadOS 14.4.1, Safari 14.0.3 (v. 14610.4.3.1.
CVE-2021-1871 A logic issue was addressed with improved restrictions. This issue is fixed in macOS Big Sur 11.2, Security Update 2021-001 Catalina, Security Update

Version: 2.30.6-0ubuntu0.20.10.1 2021-03-29 15:06:25 UTC

  webkit2gtk (2.30.6-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * Updated to 2.30.6 to fix security issues.
    - CVE-2020-27918, CVE-2020-29623, CVE-2021-1765, CVE-2021-1789,
      CVE-2021-1799, CVE-2021-1801, CVE-2021-1870

 -- Marc Deslauriers <email address hidden> Fri, 26 Mar 2021 11:11:03 -0400

Source diff to previous version
CVE-2020-27918 A use after free issue was addressed with improved memory management. This issue is fixed in macOS Big Sur 11.0.1, watchOS 7.1, iOS 14.2 and iPadOS 1

Version: 2.30.5-0ubuntu0.20.10.1 2021-02-18 14:06:24 UTC

  webkit2gtk (2.30.5-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * Updated to 2.30.5 to fix security issues.
    - CVE-2020-13558

 -- Marc Deslauriers <email address hidden> Mon, 15 Feb 2021 11:15:23 -0500

Source diff to previous version

Version: 2.30.3-0ubuntu0.20.10.1 2020-11-26 15:06:59 UTC

  webkit2gtk (2.30.3-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * Updated to 2.30.3 to fix security issues.
    - CVE-2020-13753, CVE-2020-9983

 -- Marc Deslauriers <email address hidden> Tue, 24 Nov 2020 06:48:38 -0500

CVE-2020-13753 The bubblewrap sandbox of WebKitGTK and WPE WebKit, prior to 2.28.3, failed to properly block access to CLONE_NEWUSER and the TIOCSTI ioctl. CLONE_NE
CVE-2020-9983 An out-of-bounds write issue was addressed with improved bounds checking. This issue is fixed in Safari 14.0. Processing maliciously crafted web cont



About   -   Send Feedback to @ubuntu_updates